unit uWinstateTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  WinState, NonVCContainer, StdCtrls;

type
  TForm1 = class(TForm)
    WinState1: TWinState;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure WinState1StateCheck(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure WinState1StateChange(Sender: TObject; State,
      LastState: TWindowState);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  timercount: longint = 0;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
     winstate1.winhandle := application.handle;
     winstate1.interval := 50;
     winstate1.active := True;
     TimerCount := 0;
     winstate1.winhandle := findwindow('Notepad', nil);
     showwindow(winstate1.winhandle, sw_restore);
end;

procedure TForm1.WinState1StateCheck(Sender: TObject);
begin
     if (findwindow('Notepad', nil) = 0) or
        (winstate1.winhandle = 0) then
        winstate1.winhandle := findwindow('Notepad', nil);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     showwindow(winstate1.winhandle, sw_restore);
end;

procedure TForm1.WinState1StateChange(Sender: TObject; State,
  LastState: TWindowState);
begin
     if State =
       wsminimized then
        ShowWindow(winstate1.winhandle, sw_hide);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     showwindow(winstate1.winhandle, sw_restore);
end;

end.
